--
-- WoodlandSeriesTractor
-- Specialization for WoodlandSeriesTractor
--
-- @author  Manuel Leithner
-- @date  10/01/09
--

WoodlandSeriesTractor = {};

function WoodlandSeriesTractor.prerequisitesPresent(specializations)
    return true;
end;

function WoodlandSeriesTractor:load(xmlFile)
    if self.attachSound ~= nil then
        delete(self.attachSound);
    end;
    local attachSound = getXMLString(xmlFile, "vehicle.attacherSound#file");
    if attachSound ~= nil and attachSound ~= "" then
        attachSound = Utils.getFilename(attachSound, self.baseDirectory);
        self.attachSound = createSample("attachSound");
        loadSample(self.attachSound, attachSound, false);
        self.attachSoundPitchOffset = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.attacherSound#pitchOffset"), 0);
    end;
end;

function WoodlandSeriesTractor:delete()
end;

function WoodlandSeriesTractor:mouseEvent(posX, posY, isDown, isUp, button)
end;

function WoodlandSeriesTractor:keyEvent(unicode, sym, modifier, isDown)
end;

function WoodlandSeriesTractor:update(dt)
end;

function WoodlandSeriesTractor:draw()
end;

